.language-switcher-container {
    /*margin-left: 40px;*/
    display: flex;
    flex-direction: column;
    /* justify-content: flex-end; */
    flex-wrap: wrap;
}

.language-switcher-container .dropdown button {
    background-color: rgba(255, 255, 255, 0.0);
    min-width: 130px;
    width: max-content;
    height: 40px;
    border-radius: 0px;
    color: #000;
    padding: 10px;
    font-size: 16px;
    border: none;
    cursor: pointer;
    justify-content: space-evenly;
    border: 1px solid #ced4da;
}

.language-switcher-container .dropdown button img {
    margin: 0 5px 0 0;
}

.language-switcher-container .dropdown button img,
.language-switcher-container .dropdown-content li img {
    width: 28px;
}

.language-switcher-container .dropdown button,
.language-switcher-container .dropdown-content li {
    display: flex;
    align-items: center;
    font-size: 14px;
    font-family: "Open Sans", sans-serif;
    font-weight: 500;
    padding: 25px 10px;
}

.language-switcher-container .arrow-down {
    width: 0;
    height: 0;
    display: inline-block;
    vertical-align: middle;
    border-style: solid;
    border-width: 5px 5px 0 5px;
    border-color: #000 transparent transparent transparent;
    margin: 0 0 0 5px;
}

.language-switcher-container .dropdown button:hover {
    cursor: pointer;
    background-color: #ced4da;
}

/* Style for the dropdown content */
.language-switcher-container .dropdown-content {
    display: none;
    position: absolute;
    margin: 1px 0 0 0;
    padding: 0;
    background-color: #f5f5f5;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
    border-radius: 5px;
    overflow-y: scroll;
    max-height: 315px;
}

/* Style for the dropdown content items */
.language-switcher-container .dropdown-content li {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    justify-content: end;
}

.language-switcher-container .dropdown-content li img {
    margin: 0 20px 0px 20px;
}

/* Style for the dropdown content items on hover */
.language-switcher-container .dropdown-content li:hover {
    background-color: #f1f1f1;
    cursor: pointer;
    color: blue;
    border-radius: 5px;
}

/* Show the dropdown content when the dropdown button is clicked */
.language-switcher-container .dropdown:focus-within .dropdown-content {
    display: block;
}

/* Animate the dropdown content */
@keyframes slideIn {
    from {
        opacity: 0;
        transform: translateY(-10px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.language-switcher-container .dropdown-content {
    animation: slideIn 0.3s ease-out;
}

/* Scrollbar styles */
::-webkit-scrollbar {
    width: 8px;
    height: 10px;
}

::-webkit-scrollbar-thumb {
    border-radius: 8px;
    background: #c2c9d2;
}